import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  name: z.literal(true).optional(),
  email: z.literal(true).optional(),
  role: z.literal(true).optional(),
  phone: z.literal(true).optional(),
  createdAt: z.literal(true).optional()
}).strict();
export const StaffMaxAggregateInputObjectSchema: z.ZodType<Prisma.StaffMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.StaffMaxAggregateInputType>;
export const StaffMaxAggregateInputObjectZodSchema = makeSchema();
